Summary:	Musepack Console audio player
Summary(pl.UTF-8):	Konsolowy odtwarzacz plików Musepack
Name:		mpc123
Version:	0.2.6
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
#Source0Download: https://github.com/bucciarati/mpc123/releases
Source0:	https://github.com/bucciarati/mpc123/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	420420fdfb977c276aa719e46884c1be
Patch0:		%{name}-defaults-alsa.patch
Patch1:		%{name}-pl.po.patch
Patch2:		%{name}-fixes.patch
Patch3:		%{name}-ao.patch
URL:		https://github.com/bucciarati/mpc123
BuildRequires:	gettext-tools
BuildRequires:	libao-devel
BuildRequires:	musepack-devel >= 0.0.1.r475
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mpc123 is handy console Musepack audio player. Its features are:
- plain file playing (that's easy ;)
- playlists
- random, shuffle
- output to file (wav, cdr, au)
- and more...

%description -l pl.UTF-8
mpc123 jest poręcznym, konsolowym odtwarzaczem plików Musepack. Jego
funkcje to m.in:
- odtwarzanie plików (po prostu ;)
- listy odtwarzania
- odtwarzanie losowe
- możliwość zapisu do pliku (wav, cdr, au)
- i więcej...

%prep
# ' (fixes braindead Emacs syntax highlight)
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags} -lao -lmpcdecsv8"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/locale}

install mpc123 $RPM_BUILD_ROOT%{_bindir}
cp -p mpc123.1  $RPM_BUILD_ROOT%{_mandir}/man1

for sdir in LOCALES/* ; do
	ddir=$RPM_BUILD_ROOT%{_datadir}/locale/$(basename $sdir)/LC_MESSAGES
	install -d $ddir
	cp -p $sdir/LC_MESSAGES/mpc123.mo $ddir/mpc123.mo
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md TODO
%attr(755,root,root) %{_bindir}/mpc123
%{_mandir}/man1/mpc123.1*
%changelog
* Fri Jan 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mpc123.git;a=log;h=master

* Fri Jan 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0443ab0
- new URLs, updated to 0.2.6
- now it uses musepack sv8 mpcdec library

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0e7de19
- updated gettext BR

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 028042e
- release 4

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> f4ae2bb
- fixed defaults-alsa patch to initialize ao_dev when using default ao_driver
- added ao patch to avoid trash in ao_sample_format.matrix field

* Sat Sep 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 0f8f5c7
- unified sf URL

* Mon Aug 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a1344b
- release 3

* Wed Aug 11 2010 zbyniu <zbyniu@pld-linux.org> 69099d4
- rel 2

* Sun Aug 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 54573c6
- updated to 0.2.4
- updated fixes patch

* Sun Aug 24 2008 Jakub Bogusz <qboosh@pld-linux.org> a1dfb46
- updated for 0.2.4

* Wed Mar 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 5f13a9f
- updated to 0.2.3
- added pl.po (Polish translation), fixes (uninitialized memory read fixes) patches

* Wed Mar 19 2008 Jakub Bogusz <qboosh@pld-linux.org> c1d2404
- obvious bugs... how could it work before???

* Wed Mar 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 6b35ebb
- Q&D Polish translation

* Fri Nov 16 2007 Jakub Bogusz <qboosh@pld-linux.org> f361fb1
- updated patch to use libao default as default device; removed whole alsa breakage
- GPL v2+
- release 2

* Fri Nov 16 2007 Jakub Bogusz <qboosh@pld-linux.org> fe1c4aa
- use libao default instead of hardcoding oss or alsa (with fallback to oss, which should never happen)

* Wed Oct 31 2007 Szymon Siwek <sls@pld-linux.org> 3442bbc
- adapted to ver. 0.2.1

* Wed Oct 31 2007 Szymon Siwek <sls@pld-linux.org> 04e9c74
- not needed - it can be done in spec

* Wed Oct 31 2007 Szymon Siwek <sls@pld-linux.org> 5dbe0b7
- ver. 0.2.1
- removed Makefile.patch
- Suggests: libao-alsa

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e5f4c82
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d5764d5
- converted to UTF-8

* Sun Jan 29 2006 japhy <japhy@pld-linux.org> 9527e57
- New spec (by Patryk Szczyglowski <patryk@patryk.one.pl>)

